import request from '@/utils/request'


// 登录方法
export function login(account, password, code, uuid, userType) {
    return request({
        url: '/auth/login',
        method: 'post',
        data: { account, password, code, uuid,userType }
    })
}
//获取认证信息
export function authInfo(query) {
    return request({
        url: '/auth/info',
        method: 'get',
        params: query
    })
}

// 获取验证码
export function getCodeImg() {
    return request({
        url: '/auth/captcha',
        method: 'get'
    })
}
/*                分类获取公共配置
* category        1.系统参数 2.公共配置
* configType      1.基础配置 2.管控一体机 3.化学品终端 4.小程序配置 5.开发配置 6.首页配置
*/
export function getConfigByType(data) {
    return request({
        url: '/system/config/info/getConfigByType',
        method: 'post',
        data: data
    })
}

// 查询公共配置
export function configInfo(data) {
    return request({
        url: '/auth/configInfo',
        method: 'get',
        params: data
    })
}

// 获取用户详细信息
export function getInfo() {
    return request({
        url: '/system/user/permission',
        method: 'get'
    })
}
